Bug 430304 - Login user selection is annoying when there are a number of users
Login user selection is annoying when there are a number of users
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-01-25 17:31 EST by Bruno Wolff III
Modified: 2008-03-07 18:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-07 18:49:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 521112 None None None Never

  None (edit)
Description Bruno Wolff III 2008-01-25 17:31:30 EST
Description of problem:
After upgrading to rawhide the number of users listed in the login screen
increased (so that its possible this is really a preexisting problem). When I
select a user to login in as the unselected users are removed one at a time and
then the window is shrunk also in discrete chunks with a noticeable delay
between each change. Besides the small increase in time to login, it is annoying
to watch.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Make sure there are about dozen accounts to login in as.
2. Double click on one of the users.
Actual results:
The login window is updated a dozen or so times in a chunky manner.

Expected results:
One update to the display.

Additional info:
Comment 1 Bruno Wolff III 2008-02-20 12:14:53 EST
The new method of starting with just other mitigates the problem I reported above.
I'll leave it open for now since you still might want to make it work faster in
the case where a lot of people share a desktop, but for my purposes the problem
is now moot.
Comment 2 Matthias Clasen 2008-02-20 15:21:34 EST
Starting with just other is a bug, not a new method.
If the animation is not smooth or fast enough, that is a different problem.
Comment 3 Ray Strode [halfline] 2008-02-21 10:07:29 EST
well, initially it will start with "Other..."  by design.  that's not a bug. 
There was a bug where it wouldn't ever grow beyond "Other..." as users were
picked, but that should be fixed now I think.

The point still stands though we need to fix the animation to not suck.
Comment 4 jmccann 2008-03-07 18:49:10 EST
The long list of users should be fixed.  I've opened a bug upstream for
animation improvements.

Note You need to log in before you can comment on or make changes to this bug.